<?php

namespace AppBundle\Repository\Project;

use AppBundle\Entity\Project\Section;


/**
 * SectionRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class SectionRepository extends \Doctrine\ORM\EntityRepository
{
    public function querySections()
    {
        $qb = $this->createQueryBuilder('p');
        $qb->where('p.status = :status')
            ->setParameter('status', Section::STATUS_OPEN);

        $qb->orderBy('p.NComments', 'DESC');
        $qb->addOrderBy('p.createdAt', 'DESC');

        return $qb;
    }

    protected function findSections_($filters)
    {
        $qb =  $this->createQueryBuilder('p')
            ->where('p.status = :status')
            ->setParameter('status', Section::STATUS_OPEN)
            ->orderBy('p.createdAt', 'DESC');

        if (isset($filters['title'])){
            $qb->andWhere('p.title like :title')
                ->setParameter('title', '%'.$filters['title'].'%');
        }


        return $qb;
    }

    public function findSections($filters)
    {
        $qb = $this->findSections($filters);

        return $qb;
    }
}
